Package skyview.survey

# Class ParsingTermination

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
skyview.survey.ParsingTermination

All Implemented Interfaces:
  `Serializable`

public class ParsingTermination extends RuntimeException
This class is used to terminate the parsing of of XML file (typically a survey description file). Since this is the only way to do this, and it is a normal path, we do not call use Exception in the name. This class must extend either RuntimeException or Error since it will be thrown in methods that implement interfaces that do not permit checked exceptions.

See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`ParsingTermination()`

## Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### ParsingTermination

public ParsingTermination()